For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The BankFeedAccount object
          • GET/bank-feed-accounts
          • POST/bank-feed-accounts
          • GET/bank-feed-accounts/{id}
          • GET/bank-feed-accounts/meta/post
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsBank Feed Accounts

/bank-feed-accounts/{id}

Beta
GET
/accounting/v1/bank-feed-accounts/:id
GET
/api/accounting/v1/bank-feed-accounts/:id
$curl https://api.merge.dev/api/accounting/v1/bank-feed-accounts/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "id": "b26fd49a-cbae-470a-a8f8-bcbc119e0390",
3 "remote_id": "987300",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "source_account_id": "123566909",
7 "target_account_id": "49cd5a42-b311-4750-9361-52e2ed1d4653",
8 "source_account_name": "Travel Bank Account",
9 "source_account_number": "12567",
10 "target_account_name": "Netsuite Travel Bank Account",
11 "currency": "USD",
12 "feed_status": "ACTIVE",
13 "feed_start_date": "2024-02-02T00:00:00.000Z",
14 "source_account_balance": 123.94,
15 "account_type": "BANK",
16 "remote_was_deleted": true,
17 "field_mappings": {
18 "organization_defined_targets": {
19 "custom_key": "custom_value"
20 },
21 "linked_account_defined_targets": {
22 "custom_key": "custom_value"
23 }
24 },
25 "remote_data": [
26 {
27 "path": "/platform-endpoint",
28 "data": null
29 }
30 ]
31}

Returns a BankFeedAccount object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/bank-feed-accounts

Next

/bank-feed-accounts/meta/post

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
source_account_idstring or null<=1024 characters

The unique identifier of the source account from our customer’s platform.

target_account_idstring or null<=1024 characters
The unique identifier of the target account from the third party software.
source_account_namestring or null<=1024 characters

The name of the source account as stored in our customer’s platform.

source_account_numberstring or null<=1024 characters

The human-readable account number of the source account as stored in our customer’s platform.

target_account_namestring or null<=1024 characters
The name of the target account from the third party software.
currencyenum or null
The currency code of the bank feed. The currency code in ISO 4217 format.
feed_statusenum or null

The status of the bank feed.

  • ACTIVE - ACTIVE
  • INACTIVE - INACTIVE
Allowed values:
feed_start_datedatetime or null

The start date of the bank feed’s transactions.

source_account_balancedouble or null
The current balance of funds in the source account.
account_typeenum or null

The type of the account.

  • BANK - BANK
  • CREDIT_CARD - CREDIT_CARD
Allowed values:
remote_was_deletedboolean

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only